#include <stdio.h>
#include <stdlib.h>

void greska(char *s)
{
	printf("%s", s);
	exit(EXIT_FAILURE);
}

int main(int argc, char **argv)
{
	int i;
	FILE *f;
	int *niz;
	int n;
	//provera da li je broj arg. kom. lin. dobar
	if(argc != 2)
	{
		greska("Doslo je do greske. Lose pokretanje programa");
	}
	
	//citamo n
	n = atoi(argv[1]);
	
	niz = (int*)malloc(n * sizeof(int));
	
	//provera
	if(niz == NULL)
		greska("Neuspesna alokacija");
	
	f = fopen("brojevi.txt", "r");
	if(f == NULL)
		greska("Otvaranje datoteke nije uspelo.");
		
	//ucitavamo brojeve u niz
	for(i = 0; i < n; i++)
		fscanf(f, "%d", &niz[i]);
		
	//zatvorimo datoteku
	fclose(f);
	
	//ispis niza na standardni izlaz
	for(i = 0; i < n; i++)
		printf("%d ", niz[i]);
	
	printf("\n");
	
	free(niz);
}