#include <stdio.h>
#include <stdlib.h>

int* razlika(int A[][3], int m, int n)
{
	int i, j;
	int min, max;
	//alociramo niz B
	int *B = malloc(m * sizeof(int));
	
	//nakon svake alokacije moramo da proverimo da
	//li je alokacija uspela!!!
	
	//ako alokacija nije uspela B ce biti NULL
	if(B == NULL)
	{
		printf("Doslo je do greske u alokaciji\n");
		exit(EXIT_FAILURE);
		//EXIT_SUCCESS
		//EXIT_FAILURE
		//ovo su dve konstante definisane u stdlib.h
		//celi brojevi, ne ucimo napamet koji su to brojevi
		//uglavnom su 1 i 0
	}
	
	//glavna logika programa da svaki el. niza B
	//bude max - min iz matrice A
	
	//brojac i prolazi kroz vrste matrice
	for(i = 0; i < m; i++)
	{
		//za svaku vrstu racunamo max i min
		min = A[i][0];
		max = A[i][0];
		
		for(j = 1; j < n; j++)
		{
			if(A[i][j] < min)
				min = A[i][j];
			if(A[i][j] > max)
				max = A[i][j];
		}
		
		//sada smo nasli min i max
		//upisujemo razliku u B
		
		B[i] = max - min;
	}
	
	return B;
}

void main()
{
	//staticki kreiramo matricu A
	int A[4][3];
	int *B;
	//upisemo u matricu A neke podatke
	A[0][0] = 5; A[0][1] = 2; A[0][2] = 8;
	A[1][0] = 7; A[1][1] = 10; A[1][2] = 1;
	A[2][0] = 1; A[2][1] = 2; A[2][2] = 3;
	A[3][0] = -10; A[3][1] = 2; A[3][2] = 1;
	
	B = razlika(A, 4, 3);
	printf("%d %d %d %d \n", B[0], B[1], B[2], B[3]);
	free(B);
}